Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.junit.groovy
Class GroovyAnnotatedEmbedderRunner

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>
              org.junit.runners.BlockJUnit4ClassRunner
                  org.jbehave.core.junit.AnnotatedEmbedderRunner
                      org.jbehave.core.junit.groovy.GroovyAnnotatedEmbedderRunner

All Implemented Interfaces:
  org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Sortable

    public class GroovyAnnotatedEmbedderRunner

extends AnnotatedEmbedderRunner

AnnotatedEmbedderRunner that uses `GroovyAnnotationBuilder`.

Constructor Summary
`GroovyAnnotatedEmbedderRunner(Class<?> testClass)`

Method Summary
`AnnotationBuilder` | `annotationBuilder()`

Methods inherited from class org.jbehave.core.junit.AnnotatedEmbedderRunner
`createTest, testClass`

Methods inherited from class org.junit.runners.BlockJUnit4ClassRunner
`collectInitializationErrors, computeTestMethods, describeChild, getChildren, methodBlock, methodInvoker, possiblyExpectingExceptions, runChild, testName, validateConstructor, validateInstanceMethods, validateOnlyOneConstructor, validateTestMethods, validateZeroArgConstructor, withAfters, withBefores, withPotentialTimeout`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, filter, getDescription, getName, getTestClass, run, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyAnnotatedEmbedderRunner

    public GroovyAnnotatedEmbedderRunner(Class<?> testClass)
                                  throws org.junit.runners.model.InitializationError

Throws:
  `org.junit.runners.model.InitializationError`

Method Detail

### annotationBuilder

    public AnnotationBuilder annotationBuilder()

  Overrides:
    `annotationBuilder` in class `AnnotatedEmbedderRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.